import { GraphQLError } from "@0no-co/graphql.web";

function syntaxError(source, position, description) {
  return new GraphQLError(`Syntax Error: ${description}`, {
    source,
    positions: [ position ]
  });
}

export { syntaxError };
