exports.toObjMap = function toObjMap(obj) {
  if (null == obj) {
    return Object.create(null);
  }
  if (null === Object.getPrototypeOf(obj)) {
    return obj;
  }
  const map = Object.create(null);
  for (const [key, value] of Object.entries(obj)) {
    map[key] = value;
  }
  return map;
};
