var jsutils_instanceOf = require("../jsutils/instanceOf.js");

class Source {
  constructor(body, name = "GraphQL request", locationOffset = {
    line: 1,
    column: 1
  }) {
    this.body = body;
    this.name = name;
    this.locationOffset = locationOffset;
  }
}

exports.Source = Source;

exports.isSource = function isSource(source) {
  return jsutils_instanceOf.instanceOf(source, Source);
};
