var jsutils_invariant = require("../jsutils/invariant.js");

var execution_execute = require("../execution/execute.js");

var utilities_getIntrospectionQuery = require("./getIntrospectionQuery.js");

var graphql_web = require("@0no-co/graphql.web");

exports.introspectionFromSchema = function introspectionFromSchema(schema, options) {
  const optionsWithDefaults = {
    specifiedByUrl: !0,
    directiveIsRepeatable: !0,
    schemaDescription: !0,
    inputValueDeprecation: !0,
    ...options
  };
  const document = graphql_web.parse(utilities_getIntrospectionQuery.getIntrospectionQuery(optionsWithDefaults));
  const result = execution_execute.executeSync({
    schema,
    document
  });
  !result.errors && result.data || jsutils_invariant.invariant(!1);
  return result.data;
};
