exports.groupBy = function groupBy(list, keyFn) {
  const result = new Map;
  for (const item of list) {
    const key = keyFn(item);
    const group = result.get(key);
    if (void 0 === group) {
      result.set(key, [ item ]);
    } else {
      group.push(item);
    }
  }
  return result;
};
