var graphql_web = require("@0no-co/graphql.web");

exports.getOperationAST = function getOperationAST(documentAST, operationName) {
  let operation = null;
  for (const definition of documentAST.definitions) {
    if (definition.kind === graphql_web.Kind.OPERATION_DEFINITION) {
      var _definition$name;
      if (null == operationName) {
        if (operation) {
          return null;
        }
        operation = definition;
      } else if ((null === (_definition$name = definition.name) || void 0 === _definition$name ? void 0 : _definition$name.value) === operationName) {
        return definition;
      }
    }
  }
  return operation;
};
