var graphql_web = require("@0no-co/graphql.web");

exports.KnownFragmentNamesRule = function KnownFragmentNamesRule(context) {
  return {
    FragmentSpread(node) {
      const fragmentName = node.name.value;
      if (!context.getFragment(fragmentName)) {
        context.reportError(new graphql_web.GraphQLError(`Unknown fragment "${fragmentName}".`, {
          nodes: node.name
        }));
      }
    }
  };
};
